%define major 0
%define libname %mklibname thai %major
%define libnamedev %mklibname -d thai

Summary: Thai language support routines
Name:    libthai
Version: 0.1.9
%define subrel 1
Release: %mkrel 7
License: LGPL
Group:   System/Libraries
URL:     http://linux.thai.net
Source:  ftp://linux.thai.net/pub/thailinux/software/libthai/%name-%{version}.tar.bz2
Patch0: 01_integer-overflow-vuln.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: pkgconfig doxygen datrie-devel
# for trietool:
BuildRequires: trietool

%description
LibThai is a set of Thai language support routines aimed to ease
developers' tasks to incorporate Thai language support in their applications.
It includes important Thai-specific functions e.g. word breaking, input and
output methods as well as basic character and string supports.

%package -n %libname
Summary: Thai language support routines
Group:   System/Libraries
Requires: thai-data

%description -n %libname
LibThai is a set of Thai language support routines aimed to ease
developers' tasks to incorporate Thai language support in their applications.
It includes important Thai-specific functions e.g. word breaking, input and
output methods as well as basic character and string supports.

%package -n thai-data
Summary: Thai language support data 
Group:   System/Libraries
Requires: thai-data

%description -n thai-data
Data stuff for libthai.

%package -n %libnamedev
Summary:  Thai language support routines
Group:    Development/C
Requires: %{libname} = %{version}
Requires: pkgconfig
Provides: thai-devel = %version
Obsoletes: %{mklibname thai 0 -d}

%description -n %libnamedev
The libthai-devel package includes the header files and developer docs 
for the libthai package.

Install libthai-devel if you want to develop programs which will use
libthai.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .CVE-2009-4012

%build
%configure --disable-static
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

# move installed doc files back to build directory to package themm
# in the right place
rm -rf installed-docs
mkdir installed-docs
mv $RPM_BUILD_ROOT%{_docdir}/libthai/* installed-docs
rmdir $RPM_BUILD_ROOT%{_docdir}/libthai

rm $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post   -n %libname -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libname -p /sbin/ldconfig
%endif

%files  -n %libname
%defattr(-, root, root)
%doc README AUTHORS COPYING ChangeLog TODO
%{_libdir}/lib*.so.%{major}.*
%{_libdir}/lib*.so.%{major}

%files  -n %libnamedev
%defattr(-, root, root)
%doc installed-docs/*
%{_includedir}/thai
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_mandir}/man3/*

%files  -n thai-data
%defattr(-, root, root)
%{_datadir}/libthai




%changelog
* Sat Jan 16 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.9-7.1mdv2009.0
- P0: security fix for CVE-2009-4012 (debian)

* Sat Jun 28 2008 Oden Eriksson <oeriksson@mandriva.com> 0.1.9-7mdv2009.0
+ Revision: 229755
- rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 0.1.9-5mdv2008.1
+ Revision: 179004
- rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Sep 05 2007 Anssi Hannula <anssi@mandriva.org> 0.1.9-3mdv2008.0
+ Revision: 80182
- obsolete the old devel package instead of the providing+obsoleting
  the current main library package in the devel package

* Wed Sep 05 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.1.9-2mdv2008.0
+ Revision: 80068
- cleanups
- do not provides itself

* Tue Aug 28 2007 Götz Waschk <waschk@mandriva.org> 0.1.9-1mdv2008.0
+ Revision: 72629
- new version
- new devel name

* Fri Apr 20 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.1.8-2mdv2008.0
+ Revision: 16236
- new release


* Mon Jan 22 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.1.7-1mdv2007.0
+ Revision: 111945
- require trietool
- fix buildrequire
- Import libthai

* Mon Jan 22 2007 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.7-1mdv2007.1
- initial release

